
%global meadversion 7.5.18
%global namedversion 7.5.18.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%global fullreltag %{meadalpha}
%global prodversion 6.4

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define base_name jbossas
# jbhomedir is /usr/share/jbossas  (files must be immutable)
%define jbhomedir %{_datadir}/%{base_name}
# jbossdir is /var/lib/jbossas  (any mutable file like logs must go here)
%define jbossdir %{_localstatedir}/lib/%{base_name}
# jbosslogdir is /var/log/jbossas  (any logs must go here)
%define jbosslogdir %{_localstatedir}/log/%{base_name}
# jbappaclientlogdir is /var/log/jbossas/appclient  (any mutable file like logs must go here)
%define jbappclientlogdir %{jbosslogdir}/appclient
# jbosstmpdir is /var/cache/jbossas (Application cache data)
%define jbosstmpdir %{_localstatedir}/cache/%{base_name}
# jbappaclienttmpdir is /var/cache/jbossas/appclient
%define jbappclienttmpdir %{jbosstmpdir}/appclient
# jbossappclientdatadir is /var/lib/jbossas/appclient/data  (any mutable file like logs must go here)
%define jbossappclientdatadir %{_localstatedir}/lib/%{base_name}/appclient/data


%define maven_version 7.5.18-1.Final_redhat_1.1.ep6.el6

Name: jbossas-appclient
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary: EAP 6 AS JEE Application Client Container
License: OpenSource
URL:              https://github.com/jbossas/jboss-as
Group: Development/Libraries

%if %with mead
Source102: jbossas-appclient-7.5.18.Final-redhat-1.pom
Source103: jbossas-appclient-7.5.18.Final-redhat-1.zip
%endif


BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java
Requires:         jbossas-core
Requires(pre):    jbossas-core

BuildArch:        noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
EAP AS 6 JEE Application Client Container.

%prep
unzip %{_sourcedir}/%{name}-%{namedversion}.zip \
      jboss-eap-%{prodversion}/bin/appclient.sh \
      jboss-eap-%{prodversion}/bin/appclient.conf \
      jboss-eap-%{prodversion}/appclient/*


%build
                                                                                                     
%install
pushd jboss-eap-%{prodversion}

# Create directories
# Variable files go there
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/appclient
# Config files go there
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/appclient
# Directory for immutable files
# Links to variable file and config file locations make it appear
# like a full JBOSS_HOME tree
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}
# Log dir for appclient /var/log/jbossas/appclient
install -d -m 755 $RPM_BUILD_ROOT%{jbappclientlogdir}
# Application cache data dir for appclient /var/cache/jbossas/appclient
install -d -m 755 $RPM_BUILD_ROOT%{jbappclienttmpdir}
install -d -m 755 $RPM_BUILD_ROOT%{jbappclienttmpdir}/auth

# Symlink to re-create a JBOSS_HOME
%{__ln_s} %{jbossdir}/appclient $RPM_BUILD_ROOT%{jbhomedir}/appclient
# The one below is $RPM_BUILD_ROOT%{jbhomedir}/appclient/configuration
%{__ln_s} %{_sysconfdir}/%{base_name}/appclient \
          $RPM_BUILD_ROOT%{jbossdir}/appclient/configuration

## These are only needed for RHEL 5 and 6, and will create a
## "Not a directory" error during the build on RHEL 7 
%if 0%{?rhel} < 7
# The one below is for where log files go
# /var/lib/jbossas/appclient/log  --> /var/log/jbossas/appclient
# Do this in post or it will fail when upgrading old releases that have a real file
#%%{__ln_s} %{jbappclientlogdir} $RPM_BUILD_ROOT%{jbossdir}/appclient/log
touch $RPM_BUILD_ROOT%{jbossdir}/appclient/log
# The one below is for where Application cache data go
# /var/lib/jbossas/appclient/tmp  --> /var/cache/jbossas/appclient
# Do this in post or it will fail when upgrading old releases that have a real file
#%%{__ln_s} %{jbappclienttmpdir} $RPM_BUILD_ROOT%{jbossdir}/appclient/tmp
touch $RPM_BUILD_ROOT%{jbossdir}/appclient/tmp
%endif


# Now install files

# bin dir scripts
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/bin
%{__cp} -pr bin/* $RPM_BUILD_ROOT%{jbhomedir}/bin

# Example config
%{__cp} -pr appclient/configuration/* \
            $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/appclient

popd
                                                                                                     
### Remove the following and R: jbossas-core instead to avoid rpmdiff waiving needed manually
###%%%pre
###JBOSS_SHELL=/sbin/nologin
###%%%{_sbindir}/groupadd -r jboss 2>/dev/null || :
###%%%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :

%post
# Symlink log and tmp dir on fresh install
if [ "$1" = 1 ]; then
    %{__ln_s} %{jbappclientlogdir} $RPM_BUILD_ROOT%{jbossdir}/appclient/log
    %{__ln_s} %{jbappclienttmpdir} $RPM_BUILD_ROOT%{jbossdir}/appclient/tmp
fi

%clean
                                                                                                     
%files
# Variable files will go here
# Permissions removed for JBPAPP-9593
%defattr(0644,jboss,jboss,0750)
%dir %{jbossdir}
%dir %{jbossdir}/appclient
# Config files will go here
%dir %{_sysconfdir}/%{base_name}
%dir %{_sysconfdir}/%{base_name}/appclient
%config(noreplace) %{_sysconfdir}/%{base_name}/appclient/appclient.xml
%config(noreplace) %{_sysconfdir}/%{base_name}/appclient/logging.properties
%defattr(0644,jboss,jboss,0755)
# Tmp files will go here
%dir %{jbappclientlogdir}
%dir %{jbappclienttmpdir}
%dir %{jbappclienttmpdir}/auth
%ghost %dir %{jbossdir}/appclient/tmp
%ghost %dir %{jbossdir}/appclient/log
# Scrips
%dir %{jbhomedir}
%dir %{jbhomedir}/bin
%attr(0755,jboss,jboss) %{jbhomedir}/bin/appclient.sh
%{jbhomedir}/bin/appclient.conf
# JBOSS_HOME symlinks
%dir %{jbhomedir}
## On RHEL 7, symlinks of dir can't be listed as %%dir, otherwise, the build
## will fail with "Not a directory" error
%if 0%{?rhel} < 7
%dir %{jbhomedir}/appclient
#%%dir %{jbhomedir}/appclient/configuration
%dir %{jbossdir}/appclient/configuration
%else
%{jbhomedir}/appclient
%{jbossdir}/appclient/configuration
%endif


%changelog
* Fri Oct 20 2017 Neil Wallace <nwallace@redhat.com> - 7.5.18-1.Final_redhat_1.1
- EAP 6.4.18 CR1

* Mon Aug 14 2017 Neil Wallace <nwallace@redhat.com> - 7.5.17-2.Final_redhat_4.1
- EAP 6.4.17 CR4

* Tue Aug 01 2017 Neil Wallace <nwallace@redhat.com> - 7.5.17-1.Final_redhat_3.1
- EAP 6.4.17 CR3

* Tue Jun 06 2017 Neil Wallace <nwallace@redhat.com> - 7.5.16-1.Final_redhat_1.1
- EAP 6.4.16 CR1

* Wed May 03 2017 Neil Wallace <nwallace@redhat.com> - 7.5.15-1.Final_redhat_3.1
- EAP 6.4.15 CR3

* Fri Mar 10 2017 Neil Wallace <nwallace@redhat.com> - 7.5.14-2.Final_redhat_2.1
- EAP 6.4.14 CR2

* Tue Feb 21 2017 Neil Wallace <nwallace@redhat.com> - 7.5.14-1.Final_redhat_1.1
- EAP 6.4.14 CR1

* Tue Jan 17 2017 Neil Wallace <nwallace@redhat.com> - 7.5.13-2.Final_redhat_2.1
- EAP 6.4.13 CR2

* Thu Jan 05 2017 Neil Wallace <nwallace@redhat.com> - 7.5.13-1.Final_redhat_1.1
- EAP 6.4.13 CR1

* Thu Nov 10 2016 Neil Wallace <nwallace@redhat.com> - 7.5.12-1.Final_redhat_1.1
- EAP 6.4.12 CR1

* Wed Sep 28 2016 Neil Wallace <nwallace@redhat.com> - 7.5.11-1.Final_redhat_1.1
- EAP 6.4.11 CR1

* Mon Aug 22 2016 Neil Wallace <nwallace@redhat.com> - 7.5.10-2.Final_redhat_2.1
- EAP 6.4.10 CR2

* Mon Aug 22 2016 Neil Wallace <nwallace@redhat.com> - 7.5.10-1.Final_redhat_1.2
- EAP 6.4.10 CR2

* Wed Jun 29 2016 Neil Wallace <nwallace@redhat.com> - 7.5.9-2.Final_redhat_2.1
- EAP 6.4.9 CR2

* Mon Jun 20 2016 Neil Wallace <nwallace@redhat.com> - 7.5.9-1.Final_redhat_1.1
- EAP 6.4.9 CR1

* Sun May 01 2016 Neil Wallace <nwallace@redhat.com> - 7.5.8-1.Final_redhat_2.1
- EAP 6.4.8 CR2

* Tue Mar 15 2016 Neil Wallace <nwallace@redhat.com> - 7.5.7-2.Final_redhat_3.1
- EAP 6.4.7 CR3

* Fri Feb 26 2016 Neil Wallace <nwallace@redhat.com> - 7.5.7-1.Final_redhat_2.1
- EAP 6.4.7 CR2

* Thu Jan 14 2016 Neil Wallace <nwallace@redhat.com> - 7.5.6-1.Final_redhat_2.1
- EAP 6.4.6 CR2

* Thu Nov 19 2015 Neil Wallace <nwallace@redhat.com> - 7.5.5-2.Final_redhat_3.1
- EAP 6.4.5 CR3

* Thu Nov 12 2015 Neil Wallace <nwallace@redhat.com> - 7.5.5-1.Final_redhat_2.1
- EAP 6.4.5 CR2

* Fri Oct 02 2015 Neil Wallace <nwallace@redhat.com> - 7.5.4-2.Final_redhat_4.1
- EAP 6.4.4 CR4

* Tue Sep 22 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.4-1.Final_redhat_3.1
- EAP 6.4.4 CR3

* Wed Aug 05 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.3-1.Final_redhat_2.1
- EAP 6.4.3 CR2

* Mon Jun 29 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.2-2.Final_redhat_2.1
- EAP 6.4.2 CR2

* Thu Jun 18 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.2-1.Final_redhat_1.1
- EAP 6.4.2 CR1

* Tue May 26 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-5.Final_redhat_3.1
- EAP 6.4.1 CR3

* Tue May 26 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-2.Final_redhat_2.1
- EAP 6.4.1 CR3

* Thu May 07 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-1.Final_redhat_2.1
- EAP 6.4.1 CR2

* Fri Mar 27 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-9.Final_redhat_21.1
- EAP 6.4.0 CR2

* Thu Mar 12 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-8.Final_redhat_20.1
- EAP 6.4.0 CR1

* Wed Feb 25 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-7.Final_redhat_19.1
- EAP 6.4.0 ER3

* Fri Feb 06 2015 Hui Wang <huwang@redhat.com> - 7.5.0-6.Final_redhat_18.1
- EAP 6.4.0 ER2

* Thu Jan 08 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-5.Final_redhat_17.1
-

* Thu Dec 11 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-4.Final_redhat_15.2
-

* Wed Dec 10 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-3.Final_redhat_15.1
-

* Tue Nov 18 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-2.Final_redhat_12.1
-

* Thu Sep 25 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-1.Final_redhat_3.1
- Updated AS minor version

* Thu Sep 25 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-1.Final_redhat_3.1
- EAP 6.4.0 DR3

* Tue Sep 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.1-2.Final_redhat_3.1
- EAP 6.3.1 CR2

* Wed Aug 27 2014 Permaine Cheung <pcheung@redhat.com> - 7.4.1-1.Final_redhat_2.1
- EAP 6.3.1 CR1

* Fri Jul 11 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-15.Final_redhat_19.1
- EAP 6.3.0 ER10

* Fri Jul 04 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-14.Final_redhat_18.3
- EAP 6.3.0 ER9

* Wed Jun 18 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-13.Final_redhat_17.1
- EAP 6.3.0 ER8

* Thu Jun 05 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-12.Final_redhat_15.1
- EAP 6.3.0 ER7

* Wed Jun 04 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-11.Final_redhat_14.1
- EAP 6.3.0 ER6

* Wed May 21 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-10.Final_redhat_13.2
- EAP 6.3.0 ER5 commitId fix

* Tue May 20 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-9.Final_redhat_13.1
- EAP 6.3.0 ER5

* Wed May 07 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-8.Final_redhat_12.1
- EAP 6.3.0 ER4

* Thu Apr 17 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-7.Final_redhat_10.1
- EAP 6.3.0 ER2 respin

* Tue Apr 15 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-6.Final_redhat_9.1
- EAP 6.3.0 ER2

* Thu Apr 03 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-5.Final_redhat_8.1
- EAP 6.3.0 ER1 new commitId

* Wed Apr 02 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-4.Final_redhat_7.3
- Rewrap build from right ER1 source URL

* Wed Apr 02 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-3.Final_redhat_7.1
- Wrap right ER1 tag

* Wed Apr 02 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-2.Final_redhat_7.1
-  EAP 6.3.0 ER1

* Fri Mar 28 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-x.Final_redhat_61.1
- EAP 6.3.0 ER1

* Mon Jan 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-11.Final_redhat_14.1
- Add Requires(pre): jbossas-core so that jbossas-core gets installed first

* Mon Jan 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-11.Final_redhat_14.1
- Add Requires(pre): jbossas-core so that jbossas-core gets installed first

* Mon Jan 13 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-11.Final_redhat_14.1
- Add Requires(pre): jbossas-core so that jbossas-core gets installed first

* Tue Jan 07 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-10.Final_redhat_14.1
- Rebuild on RHEL 7

* Tue Jan 07 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-10.Final_redhat_14.1
- Rebuild on RHEL 7

* Tue Jan 07 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-10.Final_redhat_14.1
- Rebuild on RHEL 7

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-8.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-8.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Thu Sep 26 2013 Permaine Cheung <pcheung@redhat.com> - 7.3.0-3.Final_redhat_6.1
- Fix files section

* Tue Sep 24 2013 Permaine Cheung <pcheung@redhat.com> - 7.3.0-2.Final_redhat_6.1
- Symlink appclient dirs for new installs (BZ#1002967)

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Wed Aug 21 2013 Permaine Cheung <pcheung@redhat.com> - 7.2.1-7.Final_redhat_10
- EAP 6.1.1 ER7

* Tue Aug 13 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-4.Final_redhat_8
- EAP 6.1.1 ER5

* Tue Jul 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_5
- EAP 6.1.1 ER4

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_4
- EAP 6.1.1 ER3

* Thu May 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-8.Final_redhat_8
- EAP 6.1.0 ER8

* Wed May 08 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-7.Final_redhat_7
- EAP 6.1.0 ER7

* Tue Apr 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-6.Final_redhat_6
- EAP 6.1.0 ER6

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_3
- EAP 6.1.0 ER3

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Wed Oct 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.2.Final_redhat_3
- Use %%defattr for dir perms (for JBPAPP-9593)

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.1.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Sep 28 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.1.Final_redhat_2
- Use smaller ZIP as source

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2.1
- Rebuild for MD5

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Wed Sep 05 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-1.Final_redhat_1
- EAP 6.0.1 ER1

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Tue May 29 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-7.Final_redhat_1
- CR1 build

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-6.Final_redhat_1
- ER9 build

* Tue May 15 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-5.Final_redhat_1
- ER8 build

* Thu May 10 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-1.Final
- Upgrade to 7.1.2.Final

*Thu Apr 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-3.Final
- Rebuild with apache-commons-*-eap6 and some other packages rebuilt w/ fixes

*Wed Apr 11 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-2.Final
- Rebuild with -eap6 and some other package fixes

*Fri Mar 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-1.Final.1
- Upgrade to 7.1.1.Final+  (ER4.1)

* Wed Mar 14 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final
- Upgrade to ER3

* Tue Jan 24 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.2
- Fix useradd

* Thu Jan 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.1
- Wrap MEAD build for EAP 6

